Bug 193805 - After FC3 to FC5 upgrade, Inbox not displayed
After FC3 to FC5 upgrade, Inbox not displayed
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-01 14:44 EDT by Andrew D. Stadler
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-31 12:35:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew D. Stadler 2006-06-01 14:44:48 EDT
Description of problem:


Version-Release number of selected component (if applicable):
evolution-2.6.1-1.fc5.2

How reproducible:
Once?  Many?

Steps to Reproduce:
1.  Using FC3, configure evolution for IMAP sources
2.  Confirm working properly
3.  Upgrade-in-place to FC5
4.  Open evolution
  
Actual results:
5.  In both of my mail accounts, all of the various folders are there (e.g. some
saved mail, drafts, sent, etc) but the all-important Inbox is not shown.

Expected results:
5.  All folders including Inbox should be shown

Additional info:
This basically renders evolution unuseable


I'm not sure about the reproducibility because I'm not sure if the bug occurred
once (during upgrade) or repeatedly (relaunching, refreshing)
Comment 1 Andrew D. Stadler 2006-06-01 14:58:52 EDT
I have determined a workaround for this problem, which is still a bug (or
perhaps two bugs).

1.  Go to preferences and select mail accounts -> edit -> receiving options
2.  UN-check "show only subscribed folders"
3.  Repeat 1,2 for each mail account
4.  QUIT and restart evolution

This caused the inboxes to re-appear.

I would still call this a bug for the following reasons.

a.  Why wouldn't my inbox be shown as 'default' behavior
b.  Appearance/Function didn't survive updating versions
c.  The fix was not immediately apparent because it required a relaunch to see
its effect.  The option should update immediately *or* post a dialog requesting
quit/restart.

Comment 2 Armijn Hemel 2006-06-06 09:05:11 EDT
I can only add a "me too". It took me quite a long time to figure out what
exactly went wrong. What I did notice is that out of my "n" IMAP accounts only
the last one that was displayed was actually working right away. I tested this
with a few other accounts, there were always (n-1) accounts that only said
"Loading...". This workaround fixed it for me, but still it is undesirable.
Comment 3 Armijn Hemel 2006-06-08 05:43:31 EDT
The update to 2.6.2 seems to have fixed this problem for me. Could someone else
test and confirm?
Comment 4 Matthew Barnes 2007-01-01 16:55:59 EST
Apologies for taking so long to respond.

Did you encounter this problem again when upgrading to Fedora Core 6?
Comment 5 Andrew D. Stadler 2007-01-01 17:15:48 EST
Unfortunately, I won't be able to answer/update because I went from FC5 to FC6 as a fresh install (newer 
bigger HDD).
Comment 6 Matěj Cepl 2007-08-31 11:22:09 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 7 Andrew D. Stadler 2007-08-31 11:52:57 EDT
I will not be able to provide additional data for this bug report.  I am no
longer using Evolution.
Comment 8 Matěj Cepl 2007-08-31 12:35:34 EDT
Closing per comment 7 as INSUFFICIENT_DATA

Note You need to log in before you can comment on or make changes to this bug.